/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.bos;

import de.frankmuenster.mahoe.utils.BankToAdd;

/**
 * Bank of Scotland
 *
 * @author Frank Mnster
 */
@BankToAdd(blz = BankOfScotland.BLZ, name = BankOfScotland.NAME, walletPrefix = BankOfScotland.WALLET_PREFIX)
public final class BankOfScotland {

    /**
     * BOS BIC
     */
    public static final String BIC = "BOFSDEF1XXX"; //$NON-NLS-1$

    /**
     * BOS BLZ
     */
    public static final String BLZ = "50220500"; //$NON-NLS-1$

    /**
     * Name for cookie backup file
     */
    public static final String COOKIE_FILE = "bos_cookies.dat"; //$NON-NLS-1$

    /**
     * BOS Name
     */
    public static final String NAME = "Bank of Scotland"; //$NON-NLS-1$

    /**
     * BOS Login URL
     */
    public static final String URL_LOGIN = "https://banking.bankofscotland.de/eBankingClient/pages/login/login.jsf#login"; //$NON-NLS-1$
    // https://www.bankofscotland.de/login#login

    /**
     * BOS URL to main page
     */
    public static final String URL_MAIN = "https://banking.bankofscotland.de/eBankingClient/pages/"; //$NON-NLS-1$

    /**
     * BOS URL to post box
     */
    public static final String URL_POST_BOX = BankOfScotland.URL_MAIN + "postbox/postbox.jsf"; //$NON-NLS-1$

    /**
     * Wallet prefix
     */
    public static final String WALLET_PREFIX = "bos"; //$NON-NLS-1$

    /**
     * Standard constructor
     */
    private BankOfScotland() {

        // Intentionally left blank
    }

}
