
package de.frankmuenster.mahoe.banks.bsh.json;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

/**
 * JSON Antwort der IBAN-Anfrage
 *
 * @author Frank Mnster
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "status", "errors", "data" })
public class IbanResponse extends BshResponse implements IBshResponse {

    /**
     * Die IBAN
     */
    @JsonProperty("data")
    private String iban;

    /**
     * Standardkonstruktor
     */
    public IbanResponse() {
	super();
    }

    /**
     * Liefert die IBAN
     *
     * @return die IBAN
     */
    @JsonProperty("data")
    public String getIban() {

	return this.iban;
    }

}
