
package de.frankmuenster.mahoe.banks.bsh.json;

import java.util.Locale;

/**
 * Status der Antwort einer REST Anfrage.
 *
 * @author Frank Mnster/Quirin Huber
 */
public enum Status {

    /**
     * Anfrage erfolgreich
     */
    SUCCESS,

    /**
     * Anfrage fehlgeschlagen
     */
    ERROR,

    /**
     * Status nicht feststellbar
     */
    OTHER;

    /**
     * Liefert den Status SUCCESS oder ERROR, falls nicht feststellbar OTHER
     * sonst.
     * 
     * @param stauts
     * @return den Status
     */
    public static Status resolve(final String stauts) {

        Status result;
        try {
            result = Status.valueOf(stauts.toUpperCase(Locale.GERMAN));
        } catch (final IllegalArgumentException ignored) {
            result = OTHER;
        }
        return result;
    }
}
