/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.santander.jobs;

import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import de.frankmuenster.mahoe.banks.santander.SantanderBank;
import de.frankmuenster.mahoe.jobs.AbstractMahoeSynchronizeJobProviderKontoauszugPDF;
import de.willuhn.annotation.Lifecycle;
import de.willuhn.annotation.Lifecycle.Type;
import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.jameica.hbci.rmi.KontoType;
import de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob;

/**
 * Implementierung des Job-Providers fr den Abruf von PDF-Kontoauszuegen der
 * Santander.
 *
 * @author Frank Mnster
 */
@Lifecycle(Type.CONTEXT)
public class SantanderSynchronizeJobProviderKontoauszugPDF extends AbstractMahoeSynchronizeJobProviderKontoauszugPDF {

    /**
     * Standard constructor
     */
    public SantanderSynchronizeJobProviderKontoauszugPDF() {
        super();
    }

    @Override
    protected List<Class<? extends SynchronizeJob>> getJobs() {
        final List<Class<? extends SynchronizeJob>> list = new ArrayList<>(1);
        list.add(SantanderSynchronizeJobKontoauszugPDF.class);
        return list;
    }

    @Override
    protected Set<KontoType> getSupportedAccountTypes() {
        final Set<KontoType> set = new HashSet<>(1);
        // add supported account types
        set.add(KontoType.GIRO); // not yet
        set.add(KontoType.KREDITKARTE);
        return set;
    }

    @Override
    protected boolean isBankSupported(final Konto account) throws RemoteException {
        return SantanderBank.BLZ.equals(account.getBLZ());
    }

}
