/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.gui.parts;

import java.rmi.RemoteException;

import de.frankmuenster.mahoe.gui.controller.BshSettingsController;
import de.frankmuenster.mahoe.utils.I18N;
import de.willuhn.jameica.gui.util.SimpleContainer;

/**
 * @author Frank Mnster
 */
public class BshSettingsPart extends AbstractSettingsPart<BshSettingsController> {

    /**
     * Creates a BSH Settings Part with all option to configure a BSH account
     *
     * @param control
     *            the BshSettingsController
     */
    public BshSettingsPart(final BshSettingsController control) {
        super(control);
    }

    @Override
    protected void paintBankSpecific(final SimpleContainer left, final SimpleContainer right) throws RemoteException {

        final SimpleContainer left1 = new SimpleContainer(left.getComposite());
        left1.addText(AbstractSettingsPart.FIX_SPACE_TEXT, true);
        left1.addHeadline(I18N.tr("AbstractSettingsPart.others")); //$NON-NLS-1$
        left1.addLabelPair(I18N.tr("BshSettingsPart.alwaysAskPassword"), this.control.getAlwaysAskForPW()); //$NON-NLS-1$
        left1.addLabelPair(I18N.tr("BshSettingsPart.debugShowPassword"), this.control.getDebugShowPW()); //$NON-NLS-1$

    }
}
