/**
 * Copyright 2015 - 2020 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.web.webpages;

import de.frankmuenster.mahoe.web.WebSiteException;

/**
 * The login page of Bank
 *
 * @author Frank Mnster
 * @since 2.6.0
 *
 */
public interface LoginPage {

    /**
     * Check if a user is logged in. There is no check if a specific account is
     * logged in.
     *
     * @return <code>true</code> if an user is logged in, <code>false</code>
     *         else.
     */
    boolean isLoggedIn();

    /**
     * Logging the given user.
     *
     * @param login
     *            the account to login
     * @param password
     *            the password
     * @throws WebSiteException
     *             if the login fails
     */
    void login(String login, char[] password) throws WebSiteException; // NOPMD on 20.06.21, 19:11

}