/**
 * Copyright 2015 - 2020 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.web.webpages;

import java.time.Duration;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;

/**
 * An basic web page
 *
 * @author papa
 *
 */
public class SeleniumWebPage {

    /**
     * Selenium web driver
     */
    protected final WebDriver driver;

    /**
     * Creates a new basic web page.
     *
     * @param driver
     *            the Selenium driver for this web page
     */
    protected SeleniumWebPage(final WebDriver driver) {
        this.driver = driver;
    }

    /**
     * checks if an element identified by {@link By} exits
     *
     * @param byId
     *            the element to search for
     * @return <i>truer</i> in case the element exists, <i>false</i> else
     */
    protected boolean elementExist(final By byId) {

        this.driver.manage().timeouts().implicitlyWait(Duration.ofMillis(0));
        final boolean exists = this.driver.findElements(byId).size() != 0;
        this.driver.manage().timeouts().implicitlyWait(Duration.ofSeconds(3));
        return exists;
    }

}
