/**
 * Copyright 2015 - 2020 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.web.webpages;

import java.util.Date;
import java.util.List;

import de.frankmuenster.mahoe.web.WebSiteException;
import de.willuhn.jameica.hbci.rmi.Umsatz;

/**
 * Interface to a web page that holds the transactions of an account
 *
 * @author Frank Mnster
 * @since 2.6.0
 *
 */
public interface TransactionsPage {

    /**
     * Returns all transactions on current page till the given date
     *
     * @param Date
     *            lastTransactionDate the of the last transactions to give back
     * @throws WebSiteException
     */
    List<Umsatz> getTransactions(Date lastTransactionDate) throws WebSiteException;

}